# Define required providers
terraform {
required_version = ">= 0.14.0"
  required_providers {
    openstack = {
      source  = "terraform-provider-openstack/openstack"
      version = "~> 1.53.0"
    }
  }
}

# Configure the OpenStack Provider
provider "openstack" {
  cloud = "${var.cloud_name}"
}

# DCO Matrix Test
provider "openstack" {
  cloud = "${var.clouddco_name}"
  alias = "dco"
}

# STO3 Matrix test
provider "openstack" {
  cloud = "${var.cloudsto3_name}"
  alias = "sto3"
}

# STO4 Matrix test
provider "openstack" {
  cloud = "${var.cloudsto4_name}"
  alias = "sto4"
}
