variable "datacenter_name" {
  type = string
  default = "dco"
}

variable "datacenters" {
  type    = list(string)
  default = [ "dco", "sto3", "sto4" ]
}

# Cloud names in clouds.yaml file
variable "clouddco_name" {
  type = string
  default = "dco-matrixtest"
}

variable "cloudsto3_name" {
  type = string
  default = "sto3-matrixtest"
}

variable "cloudsto4_name" {
  type = string
  default = "sto4-matrixtest"
}

variable "keyname" {
  type = string
  default = "manderssonpub"
}
variable "keynameworkers" {
  type = string
  default = "manderssonpub3"
}

variable "worker_instance_count" {
  default = "0"
}

# Replicas per datacenter
variable "workerdcreplicas" {
  default = "2"
}

# Replicas per datacenter
variable "controllerdcreplicas" {
  default = "1"
}


variable "controller_instance_count" {
  default = "1"
}

variable "controller_instance_type" {
  default = "b2.c2r4"
}

variable "worker_instance_type" {
  default = "b2.c4r16"
}

variable "worker_name" {
  default = "k8sw"
}

variable "controller_name" {
  default = "k8sc"
}

variable "dns_suffix" {
  default = "matrix.test.sunet.se"
}

variable "cloud_name" {
  default="dco-matrixtest"
}

variable "cloud2_name" {
  default="dco-matrixtest"
}

variable "cloud3_name" {
  default="dco-matrixtest"
}

variable "k8sports" {
  default=[
    {"16443" = "tcp"},
    {"10250" = "tcp"},
    {"10255" = "tcp"},
    {"25000" = "tcp"},
    {"12379" = "tcp"},
    {"10257" = "tcp"},
    {"10259" = "tcp"},
    {"4789" = "udp"},
    {"51820" = "udp"}
  ]
}

variable jumphostv4-ips {
  type    = list(string)
  default = []
}

variable jumphostv6-ips {
  type    = list(string)
  default = []
}
